Bug 239271

Summary: databases/mysql57-server: Update to 5.7.27 (Fixes multiple CVE)
Product: Ports & Packages Reporter: Markus Kohlmeyer <rootservice>
Component: Individual Port(s)Assignee: Mahdi Mokhtari <mmokhi>
Status: Closed FIXED    
Severity: Affects Only Me CC: chris, freebsd, joneum, pascal.christen, robbak, snvoronkov
Priority: --- Keywords: security
Version: LatestFlags: snvoronkov: maintainer-feedback+
mmokhi: merge-quarterly?
Hardware: Any   
OS: Any   
URL: https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html#AppendixMSQL
Attachments:
Description Flags
update to 5.7.27
none
client update none

Comment 1 Sergey N. Voronkov 2019-08-01 07:52:29 UTC
New version is downloadable for at least a week:

https://dev.mysql.com/downloads/mysql/5.7.html#downloads
Comment 2 Greg Veldman 2019-08-01 14:44:09 UTC
Created attachment 206200 [details]
update to 5.7.27

Attaching a patch to upgrade to 5.7.27.
Comment 3 Greg Veldman 2019-08-01 15:07:58 UTC
Created attachment 206201 [details]
client update

And also add the corresponding patch for the client.
Comment 4 commit-hook freebsd_committer 2019-08-05 23:38:22 UTC
A commit references this bug:

Author: mmokhi
Date: Mon Aug  5 23:37:32 UTC 2019
New revision: 508220
URL: https://svnweb.freebsd.org/changeset/ports/508220

Log:
  databases/mysq56-{client, server}: Update to latest release 5.7.27

  This update includes security fixes on issues that are
  mentioned on upstream critical patch report.
  Further info:
  https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html#AppendixMSQL

  PR:		239271
  Submitted by:	Greg Veldman <freebsd@gregv.net>
  Reported by:	Markus Kohlmeyer <rootservice@gmail.com>
  Sponsored by:	Platform.sh

Changes:
  head/databases/mysql57-client/Makefile
  head/databases/mysql57-client/files/patch-scripts_CMakeLists.txt
  head/databases/mysql57-server/Makefile
  head/databases/mysql57-server/distinfo
  head/databases/mysql57-server/files/patch-scripts_CMakeLists.txt
Comment 5 commit-hook freebsd_committer 2019-08-20 00:09:25 UTC
A commit references this bug:

Author: mmokhi
Date: Tue Aug 20 00:08:47 UTC 2019
New revision: 509388
URL: https://svnweb.freebsd.org/changeset/ports/509388

Log:
  MFH: r508220

  databases/mysq56-{client, server}: Update to latest release 5.7.27

  This update includes security fixes on issues that are
  mentioned on upstream critical patch report.
  Further info:
  https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html#AppendixMSQL

  PR:		239271
  Submitted by:	Greg Veldman <freebsd@gregv.net>
  Reported by:	Markus Kohlmeyer <rootservice@gmail.com>
  Sponsored by:	Platform.sh

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/databases/mysql57-client/files/patch-scripts_CMakeLists.txt
  branches/2019Q3/databases/mysql57-server/Makefile
  branches/2019Q3/databases/mysql57-server/distinfo
  branches/2019Q3/databases/mysql57-server/files/patch-scripts_CMakeLists.txt